﻿using UnityEngine;
using System.Collections;

public class levelmanager : MonoBehaviour {
	
	public static levelmanager Instance;
	
	void Awake() {
		Instance = this;
		levels[0] = level1;
		levels[1] = level2;
		levels[2] = level3;
		levels[3] = level4;
		levels[4] = level5;
		levels[5] = level6;
		levels[6] = level7;
		levels[7] = level8;
		levels[8] = level9;
		levels[9] = level10;
	}
	
	public int currentLevel;
	
	public GameObject level1;
	public GameObject level2;
	public GameObject level3;
	public GameObject level4;
	public GameObject level5;
	public GameObject level6;
	public GameObject level7;
	public GameObject level8;
	public GameObject level9;
	public GameObject level10;
	
	public GameObject tutorial1;
	public GameObject tutorial2;
	public GameObject tutorialbutton;
	
	GameObject[] levels = new GameObject[11];
	
	bool setPlayerToStart = false;
	
	int playercollider = 0;
	bool playercollideroff = false;
	
	// Use this for initialization
	void Start () {
		currentLevel = 1;
		loadLevel(currentLevel);
		Debug.Log("current levels: " + levels.Length);
		PlayerPrefs.SetInt("steps", 1000);
		
	}
	
	public void loadLevel(int levelnumber) {
		
		Debug.Log("loadlevel" + levelnumber);
		GameObject.Find("player").GetComponent<BoxCollider>().enabled = false;
		
		numbersToTrack.Instance.levelcount = levelnumber;
		numbersToTrack.Instance.updateStatusLabel();
		
		GameObject spielfeld = GameObject.Find("spielfeld");
		foreach(Transform t in spielfeld.transform) {
			Destroy(t.gameObject);	
		}
		
		if(levels.Length >= levelnumber) {
			GameObject _level = null;
			if(levelnumber == 1) {
				Debug.Log("me");
				_level = Instantiate(level1) as GameObject;
				tutorial1.SetActive(true);
			} else if(levelnumber == 2) {
				_level = Instantiate(level2) as GameObject;
				tutorial1.SetActive(false);
				tutorial2.SetActive(true);
			} else if(levelnumber == 3) {
				_level = Instantiate(level3) as GameObject;
				tutorial2.SetActive(false);
				tutorialbutton.SetActive(false);
				inputstring.Instance.startInput();
				numbersToTrack.Instance.updateStatusLabel();
			} else if(levelnumber == 4) {
				_level = Instantiate(level4) as GameObject;
				tutorial2.SetActive(false);
				tutorialbutton.SetActive(false);
				inputstring.Instance.startInput();
				numbersToTrack.Instance.updateStatusLabel();
			} else if(levelnumber == 5) {
				_level = Instantiate(level5) as GameObject;
				tutorial2.SetActive(false);
				tutorialbutton.SetActive(false);
				inputstring.Instance.startInput();
				numbersToTrack.Instance.updateStatusLabel();
			} else if(levelnumber == 6) {
				_level = Instantiate(level6) as GameObject;
				tutorial2.SetActive(false);
				tutorialbutton.SetActive(false);
				inputstring.Instance.startInput();
				numbersToTrack.Instance.updateStatusLabel();
			} else if(levelnumber == 7) {
				_level = Instantiate(level7) as GameObject;
				tutorial2.SetActive(false);
				tutorialbutton.SetActive(false);
				inputstring.Instance.startInput();
				numbersToTrack.Instance.updateStatusLabel();
			} else if(levelnumber == 8) {
				_level = Instantiate(level8) as GameObject;
				tutorial2.SetActive(false);
				tutorialbutton.SetActive(false);
				inputstring.Instance.startInput();
				numbersToTrack.Instance.updateStatusLabel();
			} else if(levelnumber == 9) {
				_level = Instantiate(level9) as GameObject;
				tutorial2.SetActive(false);
				tutorialbutton.SetActive(false);
				inputstring.Instance.startInput();
				numbersToTrack.Instance.updateStatusLabel();
			} else if(levelnumber == 10) {
				_level = Instantiate(level10) as GameObject;
				tutorial2.SetActive(false);
				tutorialbutton.SetActive(false);
				inputstring.Instance.startInput();
				numbersToTrack.Instance.updateStatusLabel();
			} else if(levelnumber == 11) {
				Debug.Log("load the friggin level");
				int old = PlayerPrefs.GetInt("steps");
				Debug.Log(old);
				if(old > numbersToTrack.Instance.stepcount) {
					PlayerPrefs.SetInt("steps", numbersToTrack.Instance.stepcount);
				}
				Application.LoadLevel("exitscene");	
			}
			_level.transform.parent = GameObject.Find("spielfeld").transform;
			_level.transform.localPosition = new Vector3(0,0,0);
			
			setPlayerToStart = true;
		}
	}
	
	void LateUpdate() {
		if(setPlayerToStart) {
			
			/*
			GameObject.Find("player").transform.position = GameObject.Find("start").transform.position;
			//GameObject.Find("playergraphics").transform.position = GameObject.Find("start").transform.position;
			iTween.MoveTo(GameObject.Find("playergraphics"),iTween.Hash("position",GameObject.Find("start").transform.position,"time",0.5F,"easetype","linear"));
			setPlayerToStart = false;
			*/
			playercollider = 2;
			playercollideroff = true;
		}
		
		if(playercollideroff && playercollider > 0) {
			Debug.Log("playercol -");
			playercollider--;	
			setPlayerToStart = false;
		} else if(playercollideroff && playercollider == 0) {
			Debug.Log("enable col");
			GameObject.Find("player").GetComponent<BoxCollider>().enabled = true;	
			playercollideroff = false;
			GameObject.Find("player").transform.position = GameObject.Find("start").transform.position;
			//GameObject.Find("playergraphics").transform.position = GameObject.Find("start").transform.position;
			iTween.MoveTo(GameObject.Find("playergraphics"),iTween.Hash("position",GameObject.Find("start").transform.position,"time",0.5F,"easetype","linear"));
			
		}
	}
	
	IEnumerator gna() {
		yield return new WaitForSeconds(2.0F);
		GameObject.Find("player").GetComponent<BoxCollider>().enabled = true;
		inputstring.Instance.nextLevelAlreadyLoaded = false;
	}
	
	// Update is called once per frame
	void Update () {
		
		
		
		//Debug.Log(GameObject.Find("start").transform.position);
	}
}
